#!/bin/bash
#
#		Simple bash-script to look for tasks executing
#		the sched_yield system call. It uses the /proc/PID/sched
#		facility.
#
#		It can be used only after patching the GNU/Linux Kernel.
#
#	2012 by Toni Castillo Girona
#	<toni.castillo@fa.upc.edu>
#
# Looking for tasks issuing sched_yield calls:

echo -ne "Task	\t	Calls	\t	Command	\n"

for p in /proc/*;
do
	if  [ -d $p -a "$p" != "/proc/$$" ]; then
		if [ -r $p/sched ]; then
			yield=`cat $p/sched |grep yield|cut -d":" -f2|tr -d ' ' 2>/dev/null`
			# We do have some sched yields, show them:
			if [ ! -z "$yield" -a "$yield" != "0" ]; then
				echo -ne "`basename $p`	\t	$yield	\t	`cat $p/cmdline`	\n"
			fi
		fi
	fi
done
