#!/bin/bash
#
# Process stas.out files and creates table.R.file
# 2012 by Toni Castillo Girona
# <toni.castillo@fa.upc.edu>
#
# After generating the table.R file, it does call
# R to plot data
#
INFILE=./stats.out.irqs
OFILE=./table.R

# purge files
test -r $OFILE && rm -rf $OFILE
test -r /tmp/etimes.tmp && rm -rf /tmp/etimes.tmp
test -r /tmp/irqs.tmp && rm -rf /tmp/irqs.tmp

# Get elapsed times:
cat $INFILE|grep Elapsed|cut -d":" -f2|tr -d ' ' > /tmp/etimes.tmp

# Get number of irqs:
cat $INFILE|grep -E "^[0-9]"|colrm 1 64 > /tmp/irqs.tmp

#Create the file:
echo -ne "t I\n" > $OFILE
paste -d " " /tmp/etimes.tmp /tmp/irqs.tmp >> $OFILE

# call R:
R --no-save < ./r-plotxy.r >/dev/null

exit 0
