#!/bin/bash
#
#	
#
ITERATIONS=200
COMMAND="gzip -9 video.avi"
CPU="0"
#CPUIRQ="0"
STATSFILE=./stats.out
CPUMASK="0-3"

# First of all, divert the IRQS:
#./irq_divert.sh $CPUIRQ >/dev/null

test -r video.avi.gz && gunzip video.avi.gz

test -r $STATSFILE && rm -rf $STATSFILE
touch $STATSFILE
it=0												# Let's start at it 0

while [ $it -lt $ITERATIONS ]; do
	echo "ITERATION NUMBER: $it"	>> $STATSFILE
	# Run the command in the background:
	st=`date +%s`
	/usr/bin/taskset -c "$CPU" `echo $COMMAND` &
	# Run the stats and wait until the program finishes:
	./getcsw -i -m "$CPUMASK" -p $! >> $STATSFILE
	et=`date +%s`
	# Annotate the elapsed time:
	echo "Elapsed time: `expr $et - $st`" >> $STATSFILE
	# Before going to the next iteration, gunzip the file:
	test -r video.avi.gz && gunzip video.avi.gz
	it=`expr $it + 1`
done
