#!/bin/bash
#
# s_irq.sh
# 2012 by Toni Castillo Girona
#
#	Generates MAXxN NMI's every
#	WAITSECS seconds.
#
#	It is difficult to generate such a huge
#	number with just the "-n" flag, because
#	the Kernel tends to kill int_nmi after
#	so many interrupts.
#
P=./int_nmi
N=10
MAX=10
i=0
WAITSECS=30s
while [ true ]; do
	$P -n $N
	i=`expr $i + 1`
	if [ $i -eq $MAX ]; then
		i=0
		sleep $WAITSECS
	fi
done

exit 0

